use anyhow::Result;
use std::collections::{BTreeSet, VecDeque};
use std::fs;

fn unique_run_position<'a>(line: &'a str, count: usize) -> usize {
    let mut buf: VecDeque<char> = VecDeque::new();
    let mut char_counter = 0;

    for c in line.chars() {
        char_counter += 1;
        if buf.len() < count {
            buf.push_back(c);
            continue;
        }
        buf.pop_front();
        buf.push_back(c);
        let unique = buf.iter().collect::<BTreeSet<_>>();
        if unique.len() == count {
            break;
        }
    }

    char_counter
}

pub fn run() -> Result<()> {
    #[cfg(not(feature = "test_input"))]
    let file_contents = fs::read_to_string("day6.txt")?;

    #[cfg(feature = "test_input")]
    let file_contents = fs::read_to_string("tests/day6.txt")?;

    let lines = file_contents.lines();
    let mut line_counter = 0;

    for line in lines {
        line_counter += 1;
        let index = unique_run_position(line, 4);
        let index2 = unique_run_position(line, 14);
        println!("line {}\t{}\t{}", line_counter, index, index2);
    }

    Ok(())
}
